---
title: 'Markdown Entry Example'
isDeveloperContent: TRUE
---

This file serves as an example for a Markdown Entry for the Project Wiki.
Below you can find the basic guidelines for creating Markdown Entries in regards
to folder structure and formatting:

## Sorting of Entries

All of your entries should reside inside one specific folder, the path of which
you need to define in the `src/Plugin/ProjectWikiContentPlugins/PluginName.php`.
For more information see the _"Setting up a Module"_ entry.
All sub-folders of this folder should resemble the `langcode` for translation.  
Within these `langcode` folders you may optionally create folders with the
`category` of the entries as the folder name.
All entries not within such a `category` folder display `'No Category'`.

**Example:**

- _Examples_
  - _en_
    - _English Category_
      - English Entry with Category.md
    - English Entry without Category.md

## Metadata within Entries

It is possible to insert metadata into the Markdown files to add additional
information about them.  
The metadata should be inserted at the top of the file and in a specific way
as detailed below.

- `'title'`: Can be used to give the entry a specific title. If this value is
  not set the **filename** will be used as the title. With this attribute
  it is also possible to add characters to the title that are not allowed within
  filenames, like `'?'`.
- `'isDeveloperContent'`: Optionally specifies whether the entry is
  `developerContent`.
  Entries marked as `developerContent` will **not be visible**
  for regular users of the wiki. Allowed values are `TRUE` and `FALSE`.
  If this value is not set, `isDeveloperContent` will be set to `FALSE`.

**Example:**

```
---
title: 'New title of the entry'
isDeveloperContent: FALSE
---
```

## Other hints

- To provide a good readability, there should be **no H1-heading**
  (`'# Heading 1'`)
  within your entries, since the title of the entry will
  automatically be displayed as a **H1** or **H2**.
- It is not necessary to add a heading with the title of the entries,
  since it will be automatically generated by the wiki.
